### R code from vignette source 'genphenManual.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: sectionTag
###################################################
library(genphen)
data(genotype.snp)
#alternatively you can take as genotype an object of class
# DNAMultipleAlignment with data(genotype.snp.msa)
data(phenotype.snp)


###################################################
### code chunk number 2: genphenManual.Rnw:554-557
###################################################
plotSpecificGenotype(genotype = genotype.snp,
                     phenotype = phenotype.snp,
                     index = 1)


###################################################
### code chunk number 3: sectionTag
###################################################
# if DNAMultipleAlignment is loaded you cannot subset
# with genotype.snp[, 1:5]
genphen.results <- runGenphenSnp(genotype = genotype.snp[, 1:5],
                               phenotype = phenotype.snp,
                               technique = "svm",
                               fold.cv = 0.66,
                               boots = 100)


###################################################
### code chunk number 4: sectionTag
###################################################
genphen.results <- genphen.results[complete.cases(genphen.results), ]
genphen.results <- genphen.results[genphen.results$kappa > 0.4, ]
genphen.results[, c(1:3, 6, 9, 14, 18)]


###################################################
### code chunk number 5: genphenManual.Rnw:595-596
###################################################
plotGenphenResults(genphen.results = genphen.results)


###################################################
### code chunk number 6: genphenManual.Rnw:605-606
###################################################
plotManhattan(genphen.results = genphen.results)


###################################################
### code chunk number 7: sectionTag
###################################################
library(genphen)
data(genotype.saap)
# alternatively you can take as genotype an object of class
# AAMultipleAlignment with data(genotype.saap.msa)
data(phenotype.saap)


###################################################
### code chunk number 8: genphenManual.Rnw:637-640
###################################################
plotSpecificGenotype(genotype = genotype.saap,
                     phenotype = phenotype.saap,
                     index = 2)


###################################################
### code chunk number 9: sectionTag
###################################################
# if AAMultipleAlignment is loaded you cannot subset
# with genotype.saap[, 1:5]
genphen.results <- runGenphenSaap(genotype = genotype.saap[, 1:5],
                                  phenotype = phenotype.saap,
                                  technique = "svm",
                                  fold.cv = 0.66,
                                  boots = 100)


###################################################
### code chunk number 10: sectionTag
###################################################
genphen.results <- genphen.results[complete.cases(genphen.results), ]
genphen.results[, c(1:3, 6, 9, 14, 18)]


###################################################
### code chunk number 11: genphenManual.Rnw:673-674
###################################################
plotGenphenResults(genphen.results = genphen.results)


###################################################
### code chunk number 12: genphenManual.Rnw:683-684
###################################################
plotManhattan(genphen.results = genphen.results)


